%define       hgversion 2-2-32faa7d90a06

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:         qutecom
URL:          http://www.qutecom.org/
License:      GPL
Group:        Internet/Telephony
Summary:      SIP Softphone with video and chat features
Version:      2.2
Release:      1
Source:       http://www.qutecom.com/downloads/%{name}-%{hgversion}.tar.bz2
Patch1:       qutecom_pixertool_ffmpeg.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: boost-devel
BuildRequires: curl-devel
BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXv-devel
BuildRequires: openssl-devel
BuildRequires: qt4-devel
BuildRequires: speex-devel
BuildRequires: util-linux-ng

%description
QuteCom is a Voice over IP application based on standard protocols
like SIP and RTP. It enables voice, video and text chat between two
clients. Features include a contact list with presence and status,
call history and NAT traversal capability.
In conjunction with other services, QuteCom can be used to call
regular PSTN lines and/or send SMS messages to cell phones.

%prep
%setup -q -n %{name}-%{hgversion}
%patch1 -p1

%build
pushd build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
cmake \
      -DCMAKE_SKIP_RPATH=ON \
      -DCMAKE_BUILD_TYPE=None \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DOWSOUND_PORTAUDIO_SUPPORT=OFF \
      -DPORTAUDIO_INTERNAL=OFF \
      -DSPEEX_INTERNAL=OFF \
      -DSAMPLERATE_INTERNAL=OFF \
      -DCURL_INTERNAL=OFF \
      -DBUILDID_SUPPORT=OFF \
      -DFFMPEG_INTERNAL=OFF \
      -DENABLE_CRASHREPORT=ON \
      %{_builddir}/%{name}-%{hgversion}
make -j4 VERBOSE=1
make lupdate
popd build

%install
pushd build
make install DESTDIR=%{buildroot}
popd build

%__install -d "%{buildroot}%{_sysconfdir}/ld.so.conf.d"
echo "%{_libdir}/qutecom" > "%{buildroot}%{_sysconfdir}/ld.so.conf.d/qutecom.conf"

rm -rf %{buildroot}%{_libdir}/pm-utils

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/qutecom
%{_libdir}/qutecom/liblibpurple.so
%{_libdir}/qutecom/libowmemorydump.so
%{_libdir}/qutecom/libphapi.so
%{_libdir}/qutecom/libphapiutil.so
%{_libdir}/qutecom/libphspeexplugin.so
%{_libdir}/qutecom/libsfp-plugin.so
%{_libdir}/qutecom/libowbase.so
%{_libdir}/qutecom/libowsl.so
%{_libdir}/qutecom/libowutil.so
%{_libdir}/qutecom/libpsiidle.so
%{_libdir}/qutecom/libwebcam.so
%{_datadir}/qutecom
%{_datadir}/icons/hicolor
%{_datadir}/applications/qutecom.desktop
%{_sysconfdir}/ld.so.conf.d/qutecom.conf


%changelog
* Sun Oct 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.2-1
- Initial CCux package release
- 2.2 RC3
